Build failed in Jenkins: ovirt_4.0_he-system-tests #1

jenkins at jenkins.phx.ovirt.org jenkins at jenkins.phx.ovirt.org
Thu Jul 14 08:26:03 UTC 2016


See <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/1/>

------------------------------------------
[...truncated 43 lines...]
 > git config core.sparsecheckout # timeout=10
 > git checkout -f e9e722a45fa07e8a466b9e162d78816013885940
First time build. Skipping changelog.
 > git branch -a # timeout=10
 > git rev-parse remotes/origin/master^{commit} # timeout=10
[ovirt_4.0_he-system-tests] $ /bin/bash -e /tmp/hudson6941084399903629586.sh
shell-scripts/cleanup_slave.sh
###################################################################
#    Cleaning up slave                                            #
###################################################################
Filesystem      Size  Used Avail Use% Mounted on
devtmpfs         24G     0   24G   0% /dev
tmpfs            24G  4.0K   24G   1% /dev/shm
tmpfs            24G  884K   24G   1% /run
tmpfs            24G     0   24G   0% /sys/fs/cgroup
/dev/sda3       908G  9.0G  899G   1% /
tmpfs            24G  248K   24G   1% /tmp
/dev/sda1       253M   99M  155M  40% /boot
tmpfs           4.8G     0  4.8G   0% /run/user/1012
---------------------------------------------------------------
Cleaning up postgres databases
/tmp ~/workspace/ovirt_4.0_he-system-tests
~/workspace/ovirt_4.0_he-system-tests
done
Cleaning up journal logs (if any)
Redirecting to /bin/systemctl restart  systemd-journald.service
Cleaning up /var/tmp
done
Emptying some common logs
    /var/log/wtmp
Done
    /home/jenkins/workspace/ovirt-engine_3.6_build-artifacts-fc23-x86_64
Making sure there are no device mappings...
Removing the used loop devices...
Redirecting to /bin/systemctl restart  libvirtd.service
---------------------------------------------------------------
Filesystem      Size  Used Avail Use% Mounted on
devtmpfs         24G     0   24G   0% /dev
tmpfs            24G  4.0K   24G   1% /dev/shm
tmpfs            24G  884K   24G   1% /run
tmpfs            24G     0   24G   0% /sys/fs/cgroup
/dev/sda3       908G  8.5G  899G   1% /
tmpfs            24G  248K   24G   1% /tmp
/dev/sda1       253M   99M  155M  40% /boot
tmpfs           4.8G     0  4.8G   0% /run/user/1012
###################################################################
#    Slave cleanup done                                           #
###################################################################
[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson8136113498799623821.sh
+ echo shell-scripts/system_tests.sh
shell-scripts/system_tests.sh
+ VERSION=4.0
+ SUITE_TYPE=he_basic
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ OVIRT_SUITE=he_basic_suite_4.0
+ PREFIX=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/deployment-he_basic_suite_4.0>
+ chmod g+x <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/deployment-he_basic_suite_4.0>
+ cd ovirt-system-tests
+ ../jenkins/mock_configs/mock_runner.sh --mock-confs-dir ../jenkins/mock_configs --try-proxy --execute-script automation/he_basic_suite_4.0.sh fc23
##########################################################
##########################################################
## Thu Jul 14 08:26:03 UTC 2016 Running env: fc23:fedora-23-x86_64
##########################################################
ERROR: Script automation/he_basic_suite_4.0.sh does not exist or is not readable.
##########################################################
## Thu Jul 14 08:26:03 UTC 2016 Finished env: fc23:fedora-23-x86_64
##      took 0 seconds
##      rc = 1
##########################################################
No log files found, check command output
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script  : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'

#
# Required jjb vars:
#    version
#
VERSION=4.0
SUITE_TYPE=

WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"

rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"

if [[ -d "$TESTS_LOGS" ]]; then
    mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi

[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson1870730102070286691.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=4.0
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ OVIRT_SUITE=4.0
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/exported-artifacts>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/1/artifact/exported-artifacts>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/1/artifact/exported-artifacts>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/exported-artifacts> ]]
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script  : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"

shopt -s nullglob


WORKSPACE="$PWD"

# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
#                                                                     #
#                               CLEANUP                               #
#                                                                     #
#######################################################################
EOC


# Archive the logs, we want them anyway
logs=(
    ./*log
    ./*/logs
)
if [[ "$logs" ]]; then
    tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
    rm -rf "${logs[@]}"
fi

# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
    [[ "$mock_conf_file" ]] || continue
    echo "Cleaning up mock $mock_conf"
    mock_root="${mock_conf_file##*/}"
    mock_root="${mock_root%.*}"
    my_mock="/usr/bin/mock"
    my_mock+=" --configdir=${mock_conf_file%/*}"
    my_mock+=" --root=${mock_root}"
    my_mock+=" --resultdir=$WORKSPACE"

    #TODO: investigate why mock --clean fails to umount certain dirs sometimes,
    #so we can use it instead of manually doing all this.
    echo "Killing all mock orphan processes, if any."
    $my_mock \
        --orphanskill \
    || {
        echo "ERROR:  Failed to kill orphans on $chroot."
        failed=true
    }

    mock_root="$(\
        grep \
            -Po "(?<=config_opts\['root'\] = ')[^']*" \
            "$mock_conf_file" \
    )" || :
    [[ "$mock_root" ]] || continue
    mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
    if [[ "$mounts" ]]; then
        echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
    fi
    for mount in "${mounts[@]}"; do
        sudo umount --lazy "$mount" \
        || {
            echo "ERROR:  Failed to umount $mount."
            failed=true
        }
    done
done

# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
    this_chroot_failed=false
    mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
    if [[ "$mounts" ]]; then
        echo "Found mounted dirs inside the chroot $mock_root." \
             "Trying to umount."
    fi
    for mount in "${mounts[@]}"; do
        sudo umount --lazy "$mount" \
        || {
            echo "ERROR:  Failed to umount $mount."
            failed=true
            this_chroot_failed=true
        }
    done
    if ! $this_chroot_failed; then
        sudo rm -rf "$mock_root"
    fi
done

if $failed; then
    echo "Aborting."
    exit 1
fi

# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*

# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"

[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson4230101493759804961.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
#                                                                     #
#                               CLEANUP                               #
#                                                                     #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ false
+ shopt -u nullglob
+ sudo rm -Rf '/var/cache/mock/*'
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ?Publish JUnit test result report? failed: No test report files were found. Configuration error?
Archiving artifacts



More information about the Infra mailing list